#!/bin/bash

pear_scripts() {
  script_file="/etc/pear/pear_scripts/scripts.sh"
  if [ -f "${script_file}" ]; then
    chmod +x ${script_file} && ${script_file}
  fi
}

pear_openport() {
  index=`iptables -L  DOCKER-ISOLATION-STAGE-1 --line-numbers | grep -i RETURN | awk '{print $1}'`

  if [ ${index} -gt 0 ]; then
     index_pear=`iptables -L  DOCKER-ISOLATION-STAGE-1 --line-numbers | grep -i pear_fw_openport |head -n 1| awk '{print $1}'`
     if [ ${index_pear} -gt 0 ]; then
	 echo "rules already add need do nothing"
     else
	 echo "add firewall ports open rules"
         iptables -I DOCKER-ISOLATION-STAGE-1 ${index} -p udp --dport 49155:65535 -m comment --comment "pear_fw_openport" -j ACCEPT
         iptables -I DOCKER-ISOLATION-STAGE-1 ${index} -p tcp --dport 49155:65535 -m comment --comment "pear_fw_openport" -j ACCEPT
     fi
  fi
}


start_app() {
  pear_scripts
  pear_openport
  /usr/sbin/pear_restart --install_path=/ &
  ulimit -HSn 131072
}

stop_app() {
  killall -9 pear_restart
  sleep 1
  killall -9 pear_update
  killall -9 pear_monitor
  killall -9 pear_httpd
  killall -9 pear_s
  killall -9 socks_server
  killall -9 scan.sh
}

case "$1" in
  start)
    stop_app
    start_app
    ;;
  stop)
    stop_app
    ;;
  reload|restart|force-reload)
    stop_app
    start_app
    ;;
  *)
    echo "$0 start|stop|reload|restart"
    exit 1
esac

exit 0
